<script setup lang="ts">
import { useReceiptStore } from '@/views/receipt/stores/receipt'
const store = useReceiptStore()
</script>
<template>
  <v-dialog v-model="store.dialogPromptPay" width="250">
    <v-card>
      <v-container>
        <v-row>
          <v-col>
            <v-img src="src/views/pos/assets/payments/promptPay.png"></v-img>
            <div style="text-align: center">PromptPay</div>
          </v-col>
        </v-row>
      </v-container>
      <v-card-actions>
        <v-container>
          <v-row no-gutters>
            <v-col cols="12">
              <v-btn
                color="pink-lighten-3"
                block
                variant="text"
                @click="store.dialogPromptPay = false"
              >
                <p class="font-weight-bold">close</p>
              </v-btn>
            </v-col>
            <v-col cols="12">
              <v-btn
                color="green-lighten-3"
                block
                variant="text"
                @click="(store.receiptDialog = true), (store.dialogPromptPay = false)"
              >
                <p class="font-weight-bold">OK</p>
              </v-btn>
            </v-col>
          </v-row>
        </v-container>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
